#include <stdio.h>

long double
fp_add(long double a, long double b)
{
	return (a + b);
}

long double
fp_div(long double a, long double b)
{
	return (a / b);
}

long double
fp_mul(long double a, long double b)
{
	return (a * b);
}

long double
fp_sub(long double a, long double b)
{
	return (a - b);
}

long double
fp_neg(long double a)
{
	return (-a);
}

int
fp_eq(long double a, long double b)
{
	return (a == b);
}

int
fp_ge(long double a, long double b)
{
	return (a >= b);
}

int
fp_gt(long double a, long double b)
{
	return (a > b);
}

int
fp_le(long double a, long double b)
{
	return (a <= b);
}

int
fp_lt(long double a, long double b)
{
	return (a < b);
}

int
fp_ne(long double a, long double b)
{
	return (a != b);
}

long double
fp_dtoq(double d)
{
	return (d);
}

long double
fp_itoq(int i)
{
	return (i);
}

long double
fp_ltoq(long l)
{
	return (l);
}

long double
fp_stoq(float f)
{
	return (f);
}

long double
fp_uitoq(unsigned int ui)
{
	return (ui);
}

long double
fp_uxtoq(unsigned long ul)
{
	return (ul);
}

double
fp_qtod(long double ld)
{
	return (ld);
}

int
fp_qtoi(long double ld)
{
	return (ld);
}

int
fp_qtos(long double ld)
{
	return (ld);
}

long
fp_qtox(long double ld)
{
	return (ld);
}

unsigned int
fp_qtoui(long double ld)
{
	return (ld);
}

unsigned long
fp_qtoux(long double ld)
{
	return (ld);
}

int
main(void)
{
	printf("add: %Lf\n", fp_add(1.0, 1.0));

	printf("div: %Lf\n", fp_div(1.0, 2.0));

	printf("mul: %Lf\n", fp_mul(2.0, 2.0));

	printf("sub: %Lf\n", fp_sub(2.0, 1.0));

	printf("eq: %d\n", fp_eq(2.0, 1.0));
	printf("eq: %d\n", fp_eq(1.0, 1.0));
	printf("eq: %d\n", fp_eq(1.0, 2.0));

	printf("ge: %d\n", fp_ge(2.0, 1.0));
	printf("ge: %d\n", fp_ge(1.0, 1.0));
	printf("ge: %d\n", fp_ge(1.0, 2.0));

	printf("gt: %d\n", fp_gt(2.0, 1.0));
	printf("gt: %d\n", fp_gt(1.0, 1.0));
	printf("gt: %d\n", fp_gt(1.0, 2.0));

	printf("le: %d\n", fp_le(2.0, 1.0));
	printf("le: %d\n", fp_le(1.0, 1.0));
	printf("le: %d\n", fp_le(1.0, 2.0));

	printf("lt: %d\n", fp_lt(2.0, 1.0));
	printf("lt: %d\n", fp_lt(1.0, 1.0));
	printf("lt: %d\n", fp_lt(1.0, 2.0));

	printf("ne: %d\n", fp_ne(2.0, 1.0));
	printf("ne: %d\n", fp_ne(1.0, 1.0));
	printf("ne: %d\n", fp_ne(1.0, 2.0));

	printf("dtoq: %Lf\n", fp_dtoq(1.0));

	printf("itoq: %Lf\n", fp_itoq(1));

	printf("ltoq: %Lf\n", fp_ltoq(1));

	printf("stoq: %Lf\n", fp_stoq(1.0));

	printf("uitoq: %Lf\n", fp_uitoq(1));

	printf("uxtoq: %Lf\n", fp_uxtoq(1));

	printf("qtod: %f\n", fp_qtod(1.0));

	printf("qtoi: %d\n", fp_qtoi(1.0));

	printf("qtos: %f\n", (double)fp_qtos(1.0));

	printf("qtox: %ld\n", fp_qtox(1.0));

	printf("qtoui: %u\n", fp_qtoui(1.0));

	printf("qtoux: %lu\n", fp_qtoux(1.0));
}
